# Gets access overview GET https://app.unleash-instance.example.com/api/admin/access/overview **Enterprise feature** Gets an overview of what access all users have to all projects and groups Reference: https://docs.getunleash.io/api/get-access-overview ## OpenAPI Specification ```yaml openapi: 3.1.1 info: title: Gets access overview version: endpoint_auth.getAccessOverview paths: /api/admin/access/overview: get: operationId: get-access-overview summary: Gets access overview description: >- **Enterprise feature** Gets an overview of what access all users have to all projects and groups tags: - - subpackage_auth parameters: - name: Authorization in: header description: Header authentication of the form `undefined ` required: true schema: type: string responses: '200': description: accessOverviewSchema content: application/json: schema: $ref: '#/components/schemas/accessOverviewSchema' '401': description: >- Authorization information is missing or invalid. Provide a valid API token as the `authorization` header, e.g. `authorization:*.*.my-admin-token`. content: {} '403': description: >- The provided user credentials are valid, but the user does not have the necessary permissions to perform this operation content: {} '415': description: >- The operation does not support request payloads of the provided type. Please ensure that you're using one of the listed payload types and that you have specified the right content type in the "content-type" header. content: {} components: schemas: userAccessSchema: type: object properties: userId: type: integer description: The identifier for the user createdAt: type: - string - 'null' format: date-time description: When the user was created userName: type: - string - 'null' description: The name of the user lastSeen: type: - string - 'null' format: date-time description: The last time the user logged in accessibleProjects: type: array items: type: string description: A list of project ids that this user has access to groups: type: array items: type: string description: A list of group names that this user is a member of rootRole: type: string description: The name of the root role that this user has userEmail: type: string description: The email address of the user required: - userId - accessibleProjects - groups - rootRole - userEmail accessOverviewSchema: type: object properties: overview: type: array items: $ref: '#/components/schemas/userAccessSchema' description: A list of user access details ``` ## SDK Code Examples ```python import requests url = "https://app.unleash-instance.example.com/api/admin/access/overview" headers = {"Authorization": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/admin/access/overview'; const options = {method: 'GET', headers: {Authorization: ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/admin/access/overview" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/admin/access/overview") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://app.unleash-instance.example.com/api/admin/access/overview") .header("Authorization", "") .asString(); ``` ```php request('GET', 'https://app.unleash-instance.example.com/api/admin/access/overview', [ 'headers' => [ 'Authorization' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/admin/access/overview"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/access/overview")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```